// original Alloy.createController method
var createController = Alloy.createController;

/**
 * Override the Alloy createController method.
 * 
 * Prepends 'ipad/' to the controller name if the controller exist in the ipad folder
 */
Alloy.createController = function(name, args) {
    var osname = Ti.Platform.osname;
    var controllerPath = Ti.Filesystem.resourcesDirectory + 'alloy/controllers/';
    // search controller in the os name folder
    var controllerName = osname + '/' + name;
    var file = Ti.Filesystem.getFile(controllerPath, controllerName + '.js');
    
    // load the controller in the platform folder if found, other load the default
    if (file.exists()) {
        name = controllerName;
    }
    
    
    Titanium.API.log('Controller Name: ' + name);
    return createController(name, args);
};

/**
 * Loads "ipad/HelloWorld.js" for ipad, and "HelloWorld.js" for other devices
 */
var controllerName = 'HelloWorld';
var label = Alloy.createController(controllerName).getView();

$.index.add(label);
$.index.open();